# $Id$
# Authority: dries
# Upstream: Matt Mackall <mpm$selenic,com>

%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')

Summary: Fast lightweight source control management system
Name: mercurial
Version: 0.9.3
Release: 2.rf
License: GPL
Group: Development/Tools
URL: http://www.selenic.com/mercurial/wiki/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.selenic.com/mercurial/release/mercurial-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: python-devel

%description
Mercurial is a fast, lightweight Source Control Management system designed 
for the efficient handling of very large distributed projects. 

%prep
%setup

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
%{__make} install-doc PREFIX="%{buildroot}%{_prefix}" MANDIR="%{buildroot}%{_mandir}"
# TODO: also install contrib, maybe in subpackage

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CONTRIBUTORS COPYING README contrib/
%doc %{_mandir}/man1/hg.1*
%doc %{_mandir}/man1/hgmerge.1*
%doc %{_mandir}/man5/hgignore.5*
%doc %{_mandir}/man5/hgrc.5*
%{_bindir}/hg
%{_bindir}/hgmerge
%{python_sitearch}/hgext/
%{python_sitearch}/mercurial/

%changelog
* Fri Jun 15 2007 Dag Wieers <dag@wieers.com> - 0.9.3-2 - 5514+/dag
- Use %%{python_sitearch} to build for x86_64. (Tong Ho)
- Added contrib/.

* Tue Jun 05 2007 Dries Verachtert <dries@ulyssis.org> - 0.9.3-1
- Initial package.
